package com.ejie.ab63.model;

import org.apache.xmlbeans.StringEnumAbstractBase;

public class EnumValor extends StringEnumAbstractBase {
	static final int INT_X_1 = 1;
	static final int INT_X_0 = 2;
	public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(
			new EnumValor[] { new EnumValor("1", 1), new EnumValor("0", 2) });
	private static final long serialVersionUID = 1L;

	public static EnumValor forString(String paramString) {
		return (EnumValor) table.forString(paramString);
	}

	public static EnumValor forInt(int paramInt) {
		return (EnumValor) table.forInt(paramInt);
	}

	private EnumValor(String paramString, int paramInt) {
		super(paramString, paramInt);
	}

	private Object readResolve() {
		return forInt(intValue());
	}
}